## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without check

# No GTK 2 in RHEL 10
%if 0%{?rhel} > 9
%bcond_with    gtk2
%else
%bcond_without gtk2
%endif

%global         nsversion 0.4

Name:           libayatana-indicator
Version:        0.9.4
Release:        %autorelease
Summary:        Ayatana Indicators Shared Library

License:        GPL-3.0-only
URL:            https://github.com/AyatanaIndicators/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  gtk-doc

%if %{with gtk2}
BuildRequires:  pkgconfig(gtk+-2.0)
%endif

BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libayatana-ido3-0.4)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  vala

%if %{with check}
BuildRequires:  dbus-test-runner
BuildRequires:  pkgconfig(gtest)
BuildRequires:  xorg-x11-server-Xvfb
%endif

%global _description %{expand:
The Ayatana Indicators library contains information to build indicators
to go into modern desktops indicator applets.}

%description %_description


%if %{with gtk2}
%package        gtk2
Summary:        %{summary} for GTK2
# Force replacement of packages of copr:copr.fedorainfracloud.org:sergiomb:libayatana-appindicator repo
Provides:       libayatana-indicator2 = %{version}-%{release}
Obsoletes:      libayatana-indicator2 < 0.9.4

%description    gtk2 %_description

This version is built against GTK2.
%endif


%package        gtk3
Summary:        %{summary} for GTK3
# Force replacement of packages of copr:copr.fedorainfracloud.org:sergiomb:libayatana-appindicator repo
Provides:       libayatana-indicator3 = %{version}-%{release}
Obsoletes:      libayatana-indicator3 < 0.9.4

%description    gtk3 %_description

This version is built against GTK3.


%if %{with gtk2}
%package        gtk2-devel
Summary:        Development files for %{name}-gtk2
Requires:       %{name}-gtk2%{?_isa} = %{version}-%{release}
# Force replacement of packages of copr:copr.fedorainfracloud.org:sergiomb:libayatana-appindicator repo
Provides:       libayatana-indicator2-devel = %{version}-%{release}
Obsoletes:      libayatana-indicator2-devel < 0.9.4

%description    gtk2-devel
The %{name}-gtk2-devel package contains libraries and header files for
developing applications that use %{name}-gtk2.
%endif


%package        gtk3-devel
Summary:        Development files for %{name}-gtk3
Requires:       %{name}-gtk3%{?_isa} = %{version}-%{release}
# Force replacement of packages of copr:copr.fedorainfracloud.org:sergiomb:libayatana-appindicator repo
Provides:       libayatana-indicator3-devel = %{version}-%{release}
Obsoletes:      libayatana-indicator3-devel < 0.9.4

%description gtk3-devel
The %{name}-gtk3-devel package contains libraries and header files for
developing applications that use %{name}-gtk3.


%package tools-gtk3
Summary:    Development tools for %{name}
Requires:   %{name}-gtk3%{?_isa} = %{version}-%{release}

%description tools-gtk3 %_description

This package contains GTK3 developer tools.


%prep
%autosetup -p1


%build
%define _vpath_builddir build-gtk3
%cmake \
%if %{with check}
    -DENABLE_TESTS=ON
%endif
%cmake_build

%if %{with gtk2}
%define _vpath_builddir build-gtk2
%cmake -DFLAVOUR_GTK2=ON \
%if %{with check}
    -DENABLE_TESTS=ON
%endif
%cmake_build
%endif


%install
%define _vpath_builddir build-gtk3
%cmake_install

%if %{with gtk2}
%define _vpath_builddir build-gtk2
%cmake_install
%endif


%if %{with check}
%check
# Tests fail randomly when running in parallel

pushd build-gtk3 >/dev/null
xvfb-run -a %__ctest --output-on-failure --force-new-ctest-process
popd >/dev/null

%if %{with gtk2}
pushd build-gtk2 >/dev/null
xvfb-run -a %__ctest --output-on-failure --force-new-ctest-process
popd >/dev/null
%endif
%endif


%if %{with gtk2}
%files gtk2
%license AUTHORS COPYING
%doc README.md
%{_libdir}/%{name}.so.7
%{_libdir}/%{name}.so.7.0.0
%endif


%files gtk3
%license AUTHORS COPYING
%doc README.md
%{_libdir}/%{name}3.so.7
%{_libdir}/%{name}3.so.7.0.0


%if %{with gtk2}
%files gtk2-devel
%dir %{_includedir}/%{name}-%{nsversion}/
%dir %{_includedir}/%{name}-%{nsversion}/%{name}/
%{_includedir}/%{name}-%{nsversion}/%{name}/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/ayatana-indicator-%{nsversion}.pc
%endif


%files gtk3-devel
%dir %{_includedir}/%{name}3-%{nsversion}/
%dir %{_includedir}/%{name}3-%{nsversion}/%{name}/
%{_includedir}/%{name}3-%{nsversion}/%{name}/*.h
%{_libdir}/%{name}3.so
%{_libdir}/pkgconfig/ayatana-indicator3-%{nsversion}.pc


%files tools-gtk3
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/80indicator-debugging
%dir %{_libexecdir}/libayatana-indicator
%{_libexecdir}/libayatana-indicator/ayatana-indicator-loader3

%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Apr 01 2024 Arthur Bols <arthur@bols.dev> - 0.9.4-4
- Run tests sequentially

* Thu Mar 14 2024 Sérgio M. Basto <sergio@serjux.com> - 0.9.4-3
- Force replacement of packages of
  copr:copr.fedorainfracloud.org:sergiomb:libayatana-appindicator repo

* Tue Feb 27 2024 Arthur Bols <arthur@bols.dev> - 0.9.4-2
- Remove %%shrink macro for tests

* Sun Feb 25 2024 Arthur Bols <arthur@bols.dev> - 0.9.4-1
- Initial import (fedora#2253580)
## END: Generated by rpmautospec
